/*
CVE Services API

Testing CVEIDApiService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package cveapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "gitlab.com/xen-project/misc/go-cveapi"
)

func Test_cveapi_CVEIDApiService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test CVEIDApiService CveIdGetFiltered", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.CVEIDApi.CveIdGetFiltered(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CVEIDApiService CveIdGetSingle", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var id string

		resp, httpRes, err := apiClient.CVEIDApi.CveIdGetSingle(context.Background(), id).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CVEIDApiService CveIdRangeCreate", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var year int32

		httpRes, err := apiClient.CVEIDApi.CveIdRangeCreate(context.Background(), year).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CVEIDApiService CveIdReserve", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.CVEIDApi.CveIdReserve(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CVEIDApiService CveIdUpdateSingle", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var id string

		resp, httpRes, err := apiClient.CVEIDApi.CveIdUpdateSingle(context.Background(), id).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
